% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BMisc.R
\name{combineDfs}
\alias{combineDfs}
\title{combineDfs}
\usage{
combineDfs(y.seq, dflist, pstrat = NULL)
}
\arguments{
\item{y.seq}{sequence of possible y values}

\item{dflist}{list of distribution functions to combine}

\item{pstrat}{a vector of weights to put on each distribution function;
if weights are not provided then equal weight is given to each
distribution function}
}
\value{
ecdf
}
\description{
Combines two distribution functions with given weights by pstrat
}
\examples{
x <- rnorm(100)
y <- rnorm(100,1,1)
Fx <- ecdf(x)
Fy <- ecdf(y)
both <- combineDfs(seq(-2,3,0.1), list(Fx,Fy))
plot(Fx, col="green")
plot(Fy, col="blue", add=TRUE)
plot(both, add=TRUE)

}
